<form class="container__heroe__detail" (ngSubmit)="goBack(f)" #f="ngForm">
  <h2>{{ name }} Details</h2>
  <div class="container__heroe__detail__id">
    <span>id : {{ id }}</span>
  </div>
  <div class="container_heroe_detail_name">
    <span>Hero name : </span>
    <input
      type="text"
      class="form-control container_heroe_detail_name__input"
      name="name"
      id="name"
      [(ngModel)] = "name" 
      required
    />
  </div>
  <button class="btn btn-success" type="submit">Back</button>
</form>
